1.877.778.2753

TASKE Support Knowledge Base

Recommended System Requirements for TASKE Applications

Last Updated: 2-May-2017

Summary

The requirements for TASKE applications vary by the make of the interfacing telephone system and application type. Select the appropriate link for your telephone system and application.

Current TASKE version

TASKE version 8.8 & 8.9

Requirements for Previous Versions

Please contact TASKE Support for information regarding system requirements for older versions of TASKE applications.


Applies to:

Telephone Systems:

  • All

Tags:

computerrequirementserver

Leave a Comment

You must be logged in to post a comment.